SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- Database: `social`
--

-- --------------------------------------------------------

--
-- Table structure for table `accounts`
--

CREATE TABLE `accounts` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `entity_id` int(11) NOT NULL,
  `smtype_id` int(11) NOT NULL,
  `status` enum('active','inactive') NOT NULL,
  `username` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `comments` varchar(1024) NOT NULL,
  `ticket` int(11) NOT NULL DEFAULT '0',
  `flagged` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `categories`
--

CREATE TABLE `categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `short_name` varchar(64) NOT NULL,
  `full_name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 ;

--
-- Dumping data for table `categories`
--

INSERT INTO `categories` VALUES(1, 'schools', 'Schools');
INSERT INTO `categories` VALUES(2, 'academic', 'Academic Departments, Programs & Centers');
INSERT INTO `categories` VALUES(3, 'administrative', 'Administrative Offices & Groups');
INSERT INTO `categories` VALUES(4, 'libraries', 'Libraries & Museums');
INSERT INTO `categories` VALUES(5, 'athletics', 'Athletics');
INSERT INTO `categories` VALUES(6, 'classes', 'Class Groups');
INSERT INTO `categories` VALUES(7, 'personalities', 'Personas');
INSERT INTO `categories` VALUES(8, 'academic-orgs', 'Academic Organizations');
INSERT INTO `categories` VALUES(9, 'arts-orgs', 'Arts Organizations');
INSERT INTO `categories` VALUES(10, 'community-service-orgs', 'Community Service Organizations');
INSERT INTO `categories` VALUES(11, 'greek-social-orgs', 'Greek Social Organizations');
INSERT INTO `categories` VALUES(12, 'honor-societies', 'Honor Societies');
INSERT INTO `categories` VALUES(13, 'interest-groups', 'Interest Groups/Activities');
INSERT INTO `categories` VALUES(14, 'law-school-orgs', 'Law School Organizations');
INSERT INTO `categories` VALUES(15, 'media-orgs', 'Media Organizations');
INSERT INTO `categories` VALUES(16, 'religious-orgs', 'Religious Organizations');
INSERT INTO `categories` VALUES(17, 'student-govt-orgs', 'Student Government Organizations');
INSERT INTO `categories` VALUES(18, 'army-rotc', 'Army ROTC');
INSERT INTO `categories` VALUES(19, 'sports-clubs', 'Sports Club Programs');
INSERT INTO `categories` VALUES(20, 'misc', 'Other');

-- --------------------------------------------------------

--
-- Table structure for table `entities`
--

CREATE TABLE `entities` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `type` enum('official','officialish','unofficial') NOT NULL,
  `category_id` int(11) NOT NULL,
  `school_id` int(11) NOT NULL DEFAULT '12',
  `contact` varchar(255) NOT NULL,
  `website` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `schools`
--

CREATE TABLE `schools` (
  `name` varchar(255) NOT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `schools`
--

INSERT INTO `schools` VALUES('Arts & Sciences', 1);
INSERT INTO `schools` VALUES('Law School', 2);
INSERT INTO `schools` VALUES('Business School', 3);
INSERT INTO `schools` VALUES('School of Education', 4);
INSERT INTO `schools` VALUES('Everything Else', 5);

-- --------------------------------------------------------

--
-- Table structure for table `smtypes`
--

CREATE TABLE `smtypes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `base_url` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;

--
-- Dumping data for table `smtypes`
--

INSERT INTO `smtypes` VALUES(1, 'Facebook', 'http://www.facebook.com/');
INSERT INTO `smtypes` VALUES(2, 'Twitter', 'http://www.twitter.com/');
INSERT INTO `smtypes` VALUES(3, 'Flickr', 'http://www.flickr.com/');
INSERT INTO `smtypes` VALUES(4, 'YouTube', 'http://www.youtube.com/');
INSERT INTO `smtypes` VALUES(5, 'Foursquare', 'http://www.foursquare.com/');
INSERT INTO `smtypes` VALUES(6, 'Instagram', 'http://www.instagram.com/');
INSERT INTO `smtypes` VALUES(7, 'Tumblr', 'http://');
INSERT INTO `smtypes` VALUES(8, 'Blog', 'http://');
INSERT INTO `smtypes` VALUES(9, 'Pinterest', 'http://www.pinterest.com/');
INSERT INTO `smtypes` VALUES(10, 'LinkedIn', 'http://www.linkedin.com/');
